edu.northwestern.at.morphadorner.xgtagger

## Class XGPair

- java.lang.Object
- - edu.northwestern.at.morphadorner.xgtagger.XGPair

-     public class XGPair
      extends java.lang.Object

  XGTagger Copyright Ecole Nationale Superieure des Mines de Saint-Etienne Original authors: Aude Garnier and Xavier Tannier. Modifications by Philip R. "Pib" Burns at Northwestern University for integration into MorphAdorner. Please DO NOT address questions about this modified version to the original authors. This software is a computer program whose purpose is to provide a generic interface to deal with and analyse any XML textual content. This software is governed by the CeCILL license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info". As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability. In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security. The fact that you are presently reading this means that you have had knowledge of the CeCILL license and that you accept its terms.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `begin`
    `(package private) int` | `end`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XGPair(int begin, int end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBegin()`
    `int` | `getEnd()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### begin

          int begin

    - #### end

          int end

  - ### Constructor Detail

    - #### XGPair

          XGPair(int begin,
                int end)

  - ### Method Detail

    - #### getBegin

          public int getBegin()

    - #### getEnd

          public int getEnd()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`